package at.bestsolution.rsd.rt;

import java.util.Set;

public interface BuilderFactory {
	public Set<Class<?>> types();
	public Set<Class<?>> builderTypes();
	
	public <T> T createBuilder(Class<?> clazz);
	public <T> T createBuilderForType(Class<?> clazz);
}
