package at.bestsolution.rsd.rt;

import java.io.InputStream;
import java.util.function.Function;

public interface Deserializer<T> {
	public SerializationType serializationType();
	public Class<T> type();
	public Array<T> deserializeArray(Function<Class<?>, Object> builderFactory, InputStream stream);
	public T deserialize(Function<Class<?>, Object> builderFactory, InputStream stream);
}
