package at.bestsolution.rsd.rt.delta;

import java.io.Serializable;
import java.time.LocalTime;

public class LocalTimeValueChange implements ValueChange<LocalTime>, Serializable {
	private static final long serialVersionUID = 1L;
	
	public String value;
	private LocalTime time;

	@Override
	public LocalTime value() {
		if (value != null && time == null) {
			time = LocalTime.parse(value);
		}
		return time;
	}

}
