package at.bestsolution.rsd.rt.delta;

import java.util.Objects;

public final class ObjectValueImpl<T> extends ValueImpl<T> {
    private T value;
    
    ObjectValueImpl(T value) {
        Objects.requireNonNull(value);
        this.value = value;
    }

    @Override
    protected T getValue() {
        return value;
    }
    
    @Override
    public boolean isNull() {
        return false;
    }

    @Override
    public boolean isUndefined() {
        return false;
    }
}
