package at.bestsolution.rsd.rt.delta;

public interface ValueChange<T> {
	T value();
	
	public static <T> ValueChange<T> of(T value) {
		class ValueChangeImpl<O> implements ValueChange<O> {
			private O value;
			public ValueChangeImpl(O value) {
				this.value = value;
			}
			
			@Override
			public O value() {
				return this.value;
			}
		}
		
		return new ValueChangeImpl<>(value);
	}
}
