package at.bestsolution.rsd.rt.util;

import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;

public class IOHelper {
	public static String newString(InputStream inputStream) {
		return newString(inputStream, StandardCharsets.UTF_8);
	}

	public static String newString(InputStream inputStream, Charset charset) {
		InputStreamReader r = new InputStreamReader(inputStream, charset);
		char[] buffer = new char[1024];
		int len;
		StringBuilder target = new StringBuilder();

		try {
			while ((len = r.read(buffer)) != -1) {
				target.append(buffer, 0, len);
			}
		} catch (IOException e) {
			throw new IllegalStateException(e);
		}
		return target.toString();
	}
}
