package at.bestsolution.rsd.rt.delta;

import java.io.Serializable;
import java.time.LocalDateTime;

public class LocalDateTimeValueChange implements ValueChange<LocalDateTime>, Serializable {
	private static final long serialVersionUID = 1L;
	
	public String value;
	private LocalDateTime time;

	@Override
	public LocalDateTime value() {
		if (value != null && time == null) {
			time = LocalDateTime.parse(value);
		}
		return time;
	}

}
