package at.bestsolution.rsd.rt.delta;

import java.io.Serializable;
import java.time.LocalDate;

public class LocalDateValueChange implements ValueChange<LocalDate>, Serializable {
	private static final long serialVersionUID = 1L;
	
	public String value;
	private LocalDate date;

	@Override
	public LocalDate value() {
		if (value != null && date == null) {
			date = LocalDate.parse(value);
		}
		return date;
	}

}
