package at.bestsolution.rsd.rt.interceptor;

public interface RemoteCallInterceptor {
	public interface CallContext {
		String getComponentType(); // eg ejb, rest, soap, ...
		
		void setProperty(String key, Object o);
		
		String getMethod();
	}
	
	public String name();
	
	public default boolean preInvokation(CallContext context) {
		return true;
	}
}
