package at.bestsolution.rsd.rt.poll;

import at.bestsolution.rsd.rt.Array;

public interface PollResult<T> {
	public String stateMarker();
	public Array<T> result();
	
	@SafeVarargs
	public static <T> PollResult<T> of(String stateMarker, T... result) {
		return new PollResultImpl<T>(stateMarker, result);
	}
}
