package at.bestsolution.rsd.rt.rest;

import java.util.function.Function;

import at.bestsolution.rsd.rt.InterceptorRegistry;

public interface RemoteMethodInvocation<T> {
	public T invoke( Function<ResponseStream, T> stream );

	public static <T> RemoteMethodInvocation<T> wrap( String methodName, Request request, InterceptorRegistry registry ) {
		return new RemoteMethodInvocationImpl<>(methodName, request, registry);
	}
}
