package at.bestsolution.rsd.rt.rest;

import java.io.OutputStream;
import java.util.concurrent.CompletableFuture;
import java.util.concurrent.Executor;
import java.util.function.Consumer;

public interface Request {
	public void addCookie(String name, Object value);
	public void addParameter(String name, Object value);
	public void addParameter(String name, Consumer<OutputStream> writer);
	public void setHeader(String name, String value);
	
	public ResponseStream execute();
	
	@Deprecated
	public CompletableFuture<ResponseStream> call();
	
	@Deprecated
	public CompletableFuture<ResponseStream> call(Executor executor);
}
